> ## Documentation Index
> Fetch the complete documentation index at: https://developer.flabslis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Branches

> Returns every active branch under your account. Use the returned `branchID` for all other CRM calls.



## OpenAPI

````yaml GET /client/labs
openapi: 3.0.3
info:
  title: Flabs CRM API
  version: 1.0.0
  description: Branches, tests, packages, and lead/booking ingestion for the Flabs CRM.
servers:
  - url: https://v2.flabs.in
    description: Production
security: []
paths:
  /client/labs:
    get:
      summary: List branches
      description: >-
        Returns every active branch under your account. Use the returned
        `branchID` for all other CRM calls.
      responses:
        '200':
          description: Branches returned
          content:
            application/json:
              schema:
                type: object
                properties:
                  branches:
                    type: array
                    items:
                      type: object
                      properties:
                        branchID:
                          type: string
                          description: Pass this in every other CRM call.
                        name:
                          type: string
                          description: Branch name.
                        contact:
                          type: string
                          description: Branch contact number.
              example:
                branches:
                  - branchID: 6530a4a6f1d2c8b7e9a12345
                    name: Flabs Diagnostics - Andheri
                    contact: '9876543210'
        4XX:
          $ref: '#/components/responses/ClientError'
        5XX:
          $ref: '#/components/responses/ServerError'
      security:
        - bearerAuth: []
components:
  responses:
    ClientError:
      description: Validation or auth error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorBody'
          example:
            success: false
            status: 400
            message: Bad Request
            error:
              details: first_name is required
    ServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorBody'
          example:
            success: false
            status: 500
            message: Internal Server Error
            error:
              details: An unexpected error occurred
  schemas:
    ErrorBody:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: integer
        message:
          type: string
        error:
          type: object
          properties:
            details:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT obtained from `POST /client/auth/token`.

````